summaryrefslogtreecommitdiff
path: root/tests/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-06-26 21:55:37 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-06-27 00:59:54 +0100
commit94518af3396d2ff724f98e5bb6b6a533e14c78e8 (patch)
tree88ec6646842c283207245cda7e3d7e6e5abd1d00 /tests/tests
parentef0c4cd40f2c8bd50ea252f7de56dae3b64eeced (diff)
test suite: Test ill-advised repeat dgit push after git push fails
This demonstrates #869146, which is about dgit repeatedly adding the same .orig to the .changes. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests/tests')
-rwxr-xr-xtests/tests/push-newrepeat21
1 files changed, 21 insertions, 0 deletions
diff --git a/tests/tests/push-newrepeat b/tests/tests/push-newrepeat
new file mode 100755
index 0000000..87fcb35
--- /dev/null
+++ b/tests/tests/push-newrepeat
@@ -0,0 +1,21 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-tstunt-parsechangelog
+
+t-prep-newpackage example 1.0
+
+cd $p
+git checkout quilt-tip
+cp $troot/pkg-srcs/${p}_1.0.orig.tar.gz ..
+
+t-dgit --quilt=smash build-source
+
+t-expect-fail E:'Push failed, while updating the remote git repository' \
+t-dgit -cdgit-distro.test-dummy.git-url=file:///dev/enoent/fail \
+ push --new
+
+t-dgit push --new
+
+t-ok